Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.interceptors
Class PojoTxUndoSynchronizationInterceptor

    java.lang.Object
      org.jboss.cache.pojo.interceptors.AbstractInterceptor
          org.jboss.cache.pojo.interceptors.PojoTxUndoSynchronizationInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor

    public class PojoTxUndoSynchronizationInterceptor

extends AbstractInterceptor

Interceptor that handles registration of tx synchronization for rollback operations.

Version:
  $Id: PojoTxUndoSynchronizationInterceptor.java 3937 2007-05-30 06:08:03Z jgreene $
Author:
  Ben Wang

Field Summary

Fields inherited from class org.jboss.cache.pojo.interceptors.AbstractInterceptor
`log`

Constructor Summary
`PojoTxUndoSynchronizationInterceptor()`

Method Summary
`static org.jboss.cache.pojo.interceptors.PojoTxSynchronizationHandler` | `getSynchronizationHandler()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation in)`
`static void` | `reset()`

Methods inherited from class org.jboss.cache.pojo.interceptors.AbstractInterceptor
`getCache, getInvocationContext, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PojoTxUndoSynchronizationInterceptor

    public PojoTxUndoSynchronizationInterceptor()

Method Detail

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation in)
                  throws Throwable

  Throws:
    `Throwable`

### getSynchronizationHandler

    public static org.jboss.cache.pojo.interceptors.PojoTxSynchronizationHandler getSynchronizationHandler()

### reset

    public static void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 JBoss, a division of Red Hat. All Rights Reserved.